Request-Please make a Anti Piracy Patch for NGE: Ayanami Raising Project

Discussion in 'NDS - ROM Hacking and Translations' started by BobDavis69, Dec 17, 2015.

  1. BobDavis69
    OP

    BobDavis69 Member

    Newcomer
    48
    4
    Jan 6, 2015
    United States
    What it says on the tin. This relatively unknown game recently received a English Patch, but the game, on my cart at least, has a nasty Anti Piracy measure that locks the game after the intro(Menu never shows up). This doesn't happen on other, more advanced flash carts, which means that making a simple AP shouldn't be too difficult.

    For more info-https://gbatemp.net/threads/neon-genesis-evangelion-ayanami-raising-project-ds.365648/page-5

    If you want, I can compensate you for your work. I want to play this on my R4 and DS like it was meant to be, if only so that I have another game to add to the library and justify my cart's purchase. I don't have much right now, but if you can create a working patch that bypasses the anti piracy measure, I can pay you 5$. I will just pretend that this is the price I would pay for buying a used copy off of ebay or something.
     
  2. TopKekMaster

    TopKekMaster Member

    Newcomer
    31
    8
    Nov 8, 2015
    Brazil
    I believe that is nearly impossible
    I think that this flashcart is not open-source, meaning that we can't make a "patch" for it
    Your only options are to buy a new flashcart such as the r4 dual core or to wait for your flashcart to be updated :/
     
  3. BobDavis69
    OP

    BobDavis69 Member

    Newcomer
    48
    4
    Jan 6, 2015
    United States
    I doubt that they will update mine. I have R4i RTS 3ds Gold(Whatever that means). I did patch heartgold, so I know that patches do work. I can't get Black 2/White 2 to work tho, even tho the official website told me that they updated the cart for those 2 games.

    I also don't want to buy a new cart just because I want to play a new game. Other people have the same problem, but the game DOES start up(no red on loading, game intro plays). Nobody touched this game except OP on the thread I linked, so obviously nobody made a AP patch for it. For big games like Pokemon, it's not a problem because someone is bound to make a AP soon, not so lucky with a borderline unknown game with no support or fanbase.
     
  4. BORTZ

    BORTZ "Another stunning Van Gogh"

    Supervisor
    11,523
    14,001
    Dec 2, 2007
    United States
    Pittsburgh
    If you are going to the trouble of buying a new flashcart, I would get something thats worth it. Either R41 Gold like TopKek said, or a DSTWO. Your cart will not get updated, nor will anyone build any sort of anti piracy for you specifically, since there are already workarounds out there.
     
  5. master801

    master801 GBAtemp Fan

    Member
    346
    79
    Feb 24, 2011
    United States
    Try using RetroGameFan's YSMenu releases.
    It should allow you to play the game.

    If that doesn't work, try using WoodR4; you should be able to use it.
     
  6. BobDavis69
    OP

    BobDavis69 Member

    Newcomer
    48
    4
    Jan 6, 2015
    United States
    I must be getting bad links, cause YSmenu doesn't work for me, at all. No software does, really, except the games, everything is very unstable. For Ysmenu, for example, all I see is a blank screen, nothing else, and Moonshine 2 crashes when I try to use any apps on it.

    What is WoodR4? Isn't it just the Kernel that you use to choose which game you want to play?
     
  7. Plasma Shadow

    Plasma Shadow GBAtemp's Artificial Lifeform

    Member
    1,548
    369
    May 15, 2009
    I have no fucking idea.
    Try it with Wood R4 (its files you put on your SD card, just incase you didnt know)
    It has an AP bypass function an such, research it. Retrogamefan also made updates to 3 .DAT files used in woodr4 that allowed newer games to play - maybe yours was in them :P
     
  8. master801

    master801 GBAtemp Fan

    Member
    346
    79
    Feb 24, 2011
    United States
    It seems that your RetroGameFan's YSMenu isn't compatible with your flashcart.

    I've also realized that your flashcart's kernel is using WoodR4, so that suggestion I made before is pretty much invalid now.
     
  9. BobDavis69
    OP

    BobDavis69 Member

    Newcomer
    48
    4
    Jan 6, 2015
    United States
    Yeah, mine WOODR4 doesn't have Anti AP function, I tried to find one. My only option seems to be to either get a new card, or to get a new patch. My wallet is tight right now, so I don't want to go with option A here. I made this thread because I know there is a lot of talented people here, I don't have time right now to take a look at this, and someone experienced will know where to look and what to do. If nothing else, I might take a crack at this early next year, never was the one to shy away from a challenge.